package model

import (
	"context"
	"gxt-file-server/app/schema"
)

// IFileHistory demo存储接口
type IFileHistory interface {
	// Query 查询数据
	Query(ctx context.Context, params schema.FileHistoryQueryParam, opts ...schema.FileHistoryQueryOptions) (*schema.FileHistoryQueryResult, error)
	// Get 查询指定数据
	Get(ctx context.Context, recordID string, opts ...schema.FileHistoryQueryOptions) (*schema.FileHistory, error)
	// Create 创建数据
	Create(ctx context.Context, item schema.FileHistory) error
	// Delete 删除数据
	Delete(ctx context.Context, recordID string) error
	// Update 更新数据
	Update(ctx context.Context, recordId string, data schema.FileHistory) error
}
